> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weflayr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project

> Get the project information.

This route takes no parameters.

<RequestExample>
  ```python Python theme={null}
  import weflayr

  client = weflayr.client()  # reads WEFLAYR_API_KEY

  client.get_project()
  ```

  ```js Node.js theme={null}
  const weflayr = require('weflayr');

  const client = weflayr.client(); // reads WEFLAYR_API_KEY

  await weflayr.api.getProject({
    client,
    throwOnError: true,
  });
  ```

  ```bash cURL theme={null}
  curl "https://app.weflayr.com/api/project/" \
    -H "Authorization: Bearer $WEFLAYR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "name": "My Project",
    "project_type": "revenue",
    "key_metric_names": [],
    "environment": "prod",
    "created_at": "2026-01-15T09:30:00Z"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.